public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/hwloc/
Date: Fri, 29 Oct 2021 22:44:10 +0000 (UTC)	[thread overview]
Message-ID: <1635547415.9eba4c8d45a806d2e757c67b832e991608143029.sam@gentoo> (raw)

commit:     9eba4c8d45a806d2e757c67b832e991608143029
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 29 22:30:24 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Oct 29 22:43:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9eba4c8d

sys-apps/hwloc: add 2.6.0

We drop netloc support as it's about to be removed upstream.

Bug: https://github.com/open-mpi/hwloc/issues/478
Closes: https://bugs.gentoo.org/796797
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/hwloc/Manifest           |   1 +
 sys-apps/hwloc/hwloc-2.6.0.ebuild | 104 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/sys-apps/hwloc/Manifest b/sys-apps/hwloc/Manifest
index 3f39e4ffc93..014c8ec0890 100644
--- a/sys-apps/hwloc/Manifest
+++ b/sys-apps/hwloc/Manifest
@@ -1,3 +1,4 @@
 DIST hwloc-1.11.13.tar.bz2 4120436 BLAKE2B a6a09f7d6abeaa9d23df555cfd2186ae61f0f67f83fa8f1aa4bc29376b233a8511f11745f35064f39545c7e62e9d271c1334b6906712028729e138e41d1f212f SHA512 dd38bcc9a5df2dcfd3bbd828ab13fdb1c1d21747a0b62e6c87df95d2835c0472590344ff5bda4f6c28e597eaba1ea11c0bc96907ad45f1215f51f95ac9f58138
 DIST hwloc-2.3.0.tar.bz2 6414781 BLAKE2B 60bc80ae73d0ae9ff9a438474efe682dfff28149b843645c928d4c5531f25c7763311816d5c86028efa9e07aa86935dbb6cff56ec429ee607ce4e5b5b88d4bbe SHA512 ecb0950cd08eab7d97f7cbef9db0dc31cb5b4debedaae6f48814625ee5da0153fdc1f863fa84c5d59b76634e877a348fa556f3c8c29fc43bc6ae7211c313906c
 DIST hwloc-2.5.0.tar.bz2 6688349 BLAKE2B 684367afa5fc056b9bf04b3a95bd8239ec70127d5e582948ca16a09323614ad0ef77278a120544af0a740b456f1ba24bffc861b9f132293fafb7da0597d0b688 SHA512 9e8b829868cb9f5fd2fe84d8515d0dc8725ddc84c788a61c1e9e918eb2b29659eb73cf22a4189e6b887f5bfa3255c206f4ba924bd7fe2c88c185f4308c0949cd
+DIST hwloc-2.6.0.tar.bz2 6728585 BLAKE2B 96099ae3527e11a83adc068e07756752d2effa38b4bae174045e5142a3457af8790e9fd3d778ff2d91708101aaf6e108affed7688918195e0f2bdbd55235ad46 SHA512 3f35ee685507469e2c7d4a2ab4c339eff24123b4bc21d96bc53fd2737a36bdd371f1e1e4440b410ecac6cf1881562187243bfbf846203cb3702a4c4c7be0d5df

diff --git a/sys-apps/hwloc/hwloc-2.6.0.ebuild b/sys-apps/hwloc/hwloc-2.6.0.ebuild
new file mode 100644
index 00000000000..e9b6ea7e9d1
--- /dev/null
+++ b/sys-apps/hwloc/hwloc-2.6.0.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit autotools bash-completion-r1 cuda flag-o-matic systemd toolchain-funcs multilib-minimal
+
+MY_PV="v$(ver_cut 1-2)"
+
+DESCRIPTION="displays the hardware topology in convenient formats"
+HOMEPAGE="https://www.open-mpi.org/projects/hwloc/"
+SRC_URI="https://www.open-mpi.org/software/${PN}/${MY_PV}/downloads/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0/15"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="cairo +cpuid cuda debug gl nvml +pci static-libs svg udev xml X"
+
+# opencl support dropped with x11-drivers/ati-drivers being removed (bug #582406).
+# Anyone with hardware is welcome to step up and help test to get it re-added.
+RDEPEND=">=sys-libs/ncurses-5.9-r3:0[${MULTILIB_USEDEP}]
+
+	cairo?		( >=x11-libs/cairo-1.12.14-r4[X?,svg?,${MULTILIB_USEDEP}] )
+	cuda?		( >=dev-util/nvidia-cuda-toolkit-6.5.19-r1:= )
+	gl?		( x11-drivers/nvidia-drivers[static-libs,tools] )
+	nvml?		( x11-drivers/nvidia-drivers[${MULTILIB_USEDEP}] )
+	pci?		(
+				>=sys-apps/pciutils-3.3.0-r2[${MULTILIB_USEDEP}]
+				>=x11-libs/libpciaccess-0.13.1-r1[${MULTILIB_USEDEP}]
+			)
+	udev?	( virtual/libudev )
+	xml?		( >=dev-libs/libxml2-2.9.1-r4[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}"
+# 2.69-r5 for --runstatedir
+BDEPEND="
+	>=sys-devel/autoconf-2.69-r5
+	virtual/pkgconfig
+"
+
+PATCHES=( "${FILESDIR}/${PN}-1.8.1-gl.patch" )
+
+DOCS=( AUTHORS NEWS README VERSION )
+
+src_prepare() {
+	default
+
+	eautoreconf
+
+	if use cuda ; then
+		append-cflags "-I${ESYSROOT}/opt/cuda/include"
+		append-cppflags "-I${ESYSROOT}/opt/cuda/include"
+	fi
+}
+
+multilib_src_configure() {
+	# bug #393467
+	export HWLOC_PKG_CONFIG="$(tc-getPKG_CONFIG)"
+
+	if use cuda ; then
+		local -x LDFLAGS="${LDFLAGS}"
+		append-ldflags "-L${ESYSROOT}/opt/cuda/$(get_libdir)"
+	fi
+
+	local myconf=(
+		--disable-opencl
+		# netloc is deprecated upstream, about to be removed
+		# bug #796797
+		--disable-netloc
+		--disable-plugin-ltdl
+		--enable-plugins
+		--enable-shared
+		--runstatedir="${EPREFIX}/run"
+		$(multilib_native_use_enable cuda)
+		$(multilib_native_use_enable gl)
+		$(use_enable cairo)
+		$(use_enable cpuid)
+		$(use_enable debug)
+		$(use_enable udev libudev)
+		$(use_enable nvml)
+		$(use_enable pci)
+		$(use_enable static-libs static)
+		$(use_enable xml libxml2)
+		$(use_with X x)
+	)
+
+	ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_install_all() {
+	default
+
+	case ${ARCH} in
+		# hwloc-dump-hwdata binary only built on those arches, so don't install non-working unit.
+		amd64|x86)
+			systemd_dounit "${ED}/usr/share/hwloc/hwloc-dump-hwdata.service" ;;
+	esac
+
+	mv "${ED}"/usr/share/bash-completion/completions/hwloc{,-annotate} || die
+	bashcomp_alias hwloc-annotate \
+		hwloc-{diff,ps,compress-dir,gather-cpuid,distrib,info,bind,patch,calc,ls,gather-topology}
+	bashcomp_alias hwloc-annotate lstopo{,-no-graphics}
+
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2021-10-29 22:44 UTC|newest]

Thread overview: 102+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-29 22:44 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-08 11:00 [gentoo-commits] repo/gentoo:master commit in: sys-apps/hwloc/ Patrick Lauer
2024-11-25 23:06 Sam James
2024-11-24 11:02 Sam James
2024-11-23 16:54 Sam James
2024-11-23 16:27 Sam James
2024-07-14 10:41 James Le Cuirot
2024-04-27 10:42 Michał Górny
2023-12-15  6:35 Sam James
2023-12-15  6:35 Sam James
2023-12-08  8:40 Arthur Zamarin
2023-12-08  8:39 Arthur Zamarin
2023-09-14  3:41 Sam James
2023-09-07 23:03 Sam James
2023-09-07 23:03 Sam James
2023-09-07 23:03 Sam James
2023-08-02 17:52 Sam James
2023-07-07 21:22 Sam James
2023-07-04 22:32 Sam James
2023-07-04 22:23 Sam James
2023-07-04 22:23 Sam James
2023-07-04 22:23 Sam James
2023-07-04 22:23 Sam James
2023-06-29  8:55 Sam James
2023-06-29  8:55 Sam James
2023-06-19 13:31 Pacho Ramos
2023-05-16  3:39 Sam James
2023-04-05  1:18 Sam James
2022-12-15  0:52 Sam James
2022-12-04 14:50 Pacho Ramos
2022-10-09  8:55 Agostino Sarubbo
2022-10-09  8:53 Agostino Sarubbo
2022-10-09  8:52 Agostino Sarubbo
2022-10-09  8:48 Agostino Sarubbo
2022-10-09  5:22 Arthur Zamarin
2022-10-08 19:49 Arthur Zamarin
2022-10-08 19:49 Arthur Zamarin
2022-10-08 18:55 Sam James
2022-10-08 18:55 Sam James
2022-07-09  5:57 Sam James
2022-05-19 10:35 WANG Xuerui
2022-03-27  1:33 Sam James
2022-03-27  1:33 Sam James
2022-03-25  3:54 Sam James
2022-03-24 23:58 Sam James
2021-12-27 22:26 Sam James
2021-12-26 20:51 Arthur Zamarin
2021-12-26 19:05 Sam James
2021-12-26 18:41 Arthur Zamarin
2021-12-26 18:40 Arthur Zamarin
2021-12-26  8:08 Agostino Sarubbo
2021-12-26  8:07 Agostino Sarubbo
2021-12-26  3:42 Sam James
2021-12-26  3:41 Sam James
2021-12-01  5:48 Arthur Zamarin
2021-12-01  5:48 Arthur Zamarin
2021-10-20  0:11 Sam James
2021-10-15  6:00 Agostino Sarubbo
2021-10-14 13:39 Agostino Sarubbo
2021-10-13 20:35 Sam James
2021-07-14 22:45 Marek Szuba
2021-07-05 13:25 Marek Szuba
2021-06-15  5:28 Georgy Yakovlev
2021-06-15  5:28 Georgy Yakovlev
2021-06-15  4:06 Sam James
2020-12-11  9:09 Sergei Trofimovich
2020-12-11  9:09 Sergei Trofimovich
2020-12-11  9:09 Sergei Trofimovich
2020-11-05  8:33 Georgy Yakovlev
2020-08-05 13:53 Agostino Sarubbo
2020-08-04 15:11 Sam James
2020-08-02 12:44 Sergei Trofimovich
2020-08-02 12:04 Sergei Trofimovich
2020-08-02 11:48 Sergei Trofimovich
2020-08-02 11:39 Sergei Trofimovich
2020-07-30 22:49 Sam James
2020-05-18 15:59 Guilherme Amadio
2020-05-11 16:03 Alexys Jacob
2020-05-08  8:25 Alexys Jacob
2020-02-13 21:40 David Seifert
2019-06-12 21:16 Justin Bronder
2019-06-12 18:14 Justin Bronder
2019-06-12 18:14 Justin Bronder
2019-06-12 18:14 Justin Bronder
2019-04-15 20:02 Justin Bronder
2018-10-13 10:07 Mikle Kolyada
2018-09-06 22:12 Georgy Yakovlev
2018-09-05 20:47 Alexey Shvetsov
2018-07-24  9:43 Mart Raudsepp
2018-03-28 20:55 Matt Turner
2018-03-26 16:54 Justin Bronder
2017-06-19 16:16 Alexis Ballier
2017-05-13 19:15 David Seifert
2017-05-10 23:25 Justin Bronder
2017-05-10 23:25 Justin Bronder
2017-02-10 19:36 Michael Weber
2017-01-14 13:42 Jeroen Roovers
2017-01-12 19:13 Jeroen Roovers
2017-01-02 15:15 Agostino Sarubbo
2016-11-15 14:53 Tobias Klausmann
2016-08-21 17:57 Pacho Ramos
2016-02-15  6:27 Justin Bronder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1635547415.9eba4c8d45a806d2e757c67b832e991608143029.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox